from parallels.core.utils.entity import Entity


class HotlinkProtection(Entity):
    def __init__(self, domain_id, enabled, extensions):
        self._domain_id = domain_id
        self._enabled = enabled
        self._extensions = extensions

    @property
    def domain_id(self):
        """
        :rtype: str | unicode
        """
        return self._domain_id

    @property
    def enabled(self):
        """
        :rtype: str | unicode
        """
        return self._enabled

    @property
    def extensions(self):
        """
        :rtype: str | unicode
        """
        return self._extensions
